import 'package:microsoft_graph/src/models/attachment.dart';

class Message {
  final String id;
  final String subject;
  final String bodyPreview;
  final String bodyContent;
  final DateTime lastModifiedDateTime;
  final List<Attachment> attachments;

  Message({this.id, this.subject, this.bodyPreview, this.bodyContent, this.lastModifiedDateTime, this.attachments});

  factory Message.fromJson(Map<String, dynamic> json) {
    return Message(
        id: json["id"],
        subject: json["subject"] ?? "",
        bodyPreview: json["bodyPreview"] ?? "",
        bodyContent: json["body"]["content"] ?? "",
        lastModifiedDateTime: DateTime.parse(json["lastModifiedDateTime"]),
        attachments: json["attachments"] != null ? json["attachments"].map((json) => Attachment.fromJson(json)) : null);
  }
}
