import 'package:microsoft_graph/src/models/date_time_time_zone.dart';

class OutlookTask {
  final String id;
  final String subject;
  final String importance;
  final String status;
  final DateTimeTimeZone dueDateTime;
  final DateTimeTimeZone reminderDateTime;
  final DateTimeTimeZone startDateTime;

  OutlookTask(
      {this.id,
      this.subject,
      this.importance,
      this.status,
      this.dueDateTime,
      this.reminderDateTime,
      this.startDateTime});

  factory OutlookTask.fromJson(Map<String, dynamic> json) {
    return OutlookTask(
        id: json["id"],
        subject: json["subject"] ?? "",
        importance: json["importance"] ?? "",
        status: json["status"] ?? "",
        dueDateTime: DateTimeTimeZone.fromJson(json["dueDateTime"]),
        reminderDateTime: DateTimeTimeZone.fromJson(json["reminderDateTime"]),
        startDateTime: DateTimeTimeZone.fromJson(json["startDateTime"]));
  }

  @override
  String toString() {
    return 'OutlookTask{id: $id, subject: $subject, importance: $importance, status: $status, dueDateTime: $dueDateTime, reminderDateTime: $reminderDateTime, startDateTime: $startDateTime}';
  }
}
